summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-tcl-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-tcl-2')
-rwxr-xr-xgettext-tools/tests/xgettext-tcl-251
1 files changed, 51 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-tcl-2 b/gettext-tools/tests/xgettext-tcl-2
new file mode 100755
index 0000000..b572b5e
--- /dev/null
+++ b/gettext-tools/tests/xgettext-tcl-2
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Test Tcl support: --add-comments option.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-t-2.tcl"
+cat <<EOF > xg-t-2.tcl
+# This comment will not be extracted.
+puts [_ "help"]
+# TRANSLATORS: This is an extracted comment.
+puts [_ "me"]
+# Not extracted either.
+puts [_ "Hey Jude"]
+# TRANSLATORS:
+# Nickname of the Beatles
+puts [_ "The Fabulous Four"]
+EOF
+
+tmpfiles="$tmpfiles xg-t-2.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: -k_ \
+ xg-t-2.tcl -d xg-t-2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-t-2.ok"
+cat <<EOF > xg-t-2.ok
+msgid "help"
+msgstr ""
+
+#. TRANSLATORS: This is an extracted comment.
+msgid "me"
+msgstr ""
+
+msgid "Hey Jude"
+msgstr ""
+
+#. TRANSLATORS:
+#. Nickname of the Beatles
+msgid "The Fabulous Four"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-t-2.ok xg-t-2.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result